//RASPI Winkel

M=4;

B=12;
H=58+M;
T=12;

$fn=60;
module Winkel(){
    difference(){
        union(){
            cube([B,T+M,H+M-B/12]);
            translate([B/2,0,H+M-B/12])
                rotate([-90,0,0])
                    cylinder(d=B,h=M);
        }
        translate([0,M,M])
            cube([B,T,H]);
        translate([B/2,0,9+M])
            rotate([-90,0,0])
                cylinder(d=3,h=T);
        translate([B/2,0,9+M+ 46.2])
            rotate([-90,0,0])
                cylinder(d=3,h=T);
    }
}

module Both(){
    union(){
        Winkel();
        translate([70,0,0])
            Winkel();
        hull(){
        cube([1,T,M]);
        translate([70,0,0])
            cube([1,T,M]);
        }
    }
}

difference(){
    Both();
    for(x=[B/2:5:80]){
        translate([x,T/2,-1])
            cylinder(d=2,h=2*M,$fn=10);
    }
}
