//vSAN Bottom

WINKEL=100;
B=224;
L=137;
L1=10;
D=3;
D1=3;
M=2.5;
D2=D+2*4;

CB=280+2.5;
CT=172;
CH=45;
CM=4;

$fn=60;

module serial_hull()
  {
    // let i be the index of each of our children, but the last one
    for(i=[0:$children-2])
      hull() // we then create a hull between child i and i+1
      {
        children(i); // use child() in older versions of Openscad!
        children(i+1); // this shape is i in the next iteration!
      }
  }

//Note that we can now join any kind of shapes:
  
  
module Raw(){
    difference(){
        union(){
        serial_hull(){
            cylinder(d=D2,2*M);
            translate([B,0,0])
                cylinder(d=D2,2*M);
            translate([0,L,0])
                cylinder(d=D2,2*M);
            translate([B,L,0])
                cylinder(d=D2,2*M);
            cylinder(d=D2,2*M);
        }
        translate([B/2,L/2,0])
            scale([1.5,1,1])
            cylinder(d=20, 2*M);
        }
    //diff
            cylinder(d=D1,3*M);
            translate([B,0,0])
                cylinder(d=D1,3*M);
            translate([0,L,0])
                cylinder(d=D1,3*M);
            translate([B,L,0])
                cylinder(d=D1,3*M);
    }
}
//Raw();

module HU(){
    difference(){
        union(){
            translate([-CM/2,0,0])
            difference(){
                cube([CB+2*CM, CT+2*CM, CM+3]);
                translate([CM,CM,CM/2])
                    cube([CB, CT, CT/2]);
                translate([2*CM,2*CM,-CM])
                    cube([CB-2*CM, CT-2*CM, CT/2]);
            }
        translate([0,0,0])
            cylinder(r=CM+1/2,h=CH/2);
        translate([CB+CM,0,0])
            cylinder(r=CM+1/2,h=CH/2);
        translate([0,CT+2*CM,0])
            cylinder(r=CM+1/2,h=CH/2);
        translate([CB+CM,CT+2*CM,0])
            cylinder(r=CM+1/2,h=CH/2);
        }
        //diff
        translate([CM/2,CM,0])
            cylinder(r=1/2,h=CH);
        translate([CM/2+CB,CM,0])
            cylinder(r=1/2,h=CH);
        translate([CM/2,CT+CM,0])
            cylinder(r=1/2,h=CH);
        translate([CM/2+CB,CT+CM,0])
            cylinder(r=1/2,h=CH);
        
        translate([0,0,0])
            cylinder(d=D,h=CH);
        translate([CB+CM,0,0])
            cylinder(d=D,h=CH);
        translate([0,CT+2*CM,0])
            cylinder(d=D,h=CH);
        translate([CB+CM,CT+2*CM,0])
            cylinder(d=D,h=CH);
        
        translate([-10,-10,10])
            cube([2*CB,2*CT,CH]);
            
    }
}

HU();