//Netzteilspange

M=1.6;
BN=25.5;
H=10;
ANZ=4;
T=15;


H1=2*M+H;
L=ANZ*M+M+ANZ*BN; //Breite Netzteil*Anzahl+Material*Anzhal + Material (Links/Rechts)
T1=T+2*M;


module serial_hull()
  {
    // let i be the index of each of our children, but the last one
    for(i=[0:$children-2])
      hull() // we then create a hull between child i and i+1
      {
        children(i); // use child() in older versions of Openscad!
        children(i+1); // this shape is i in the next iteration!
      }
  }

//Note that we can now join any kind of shapes:
  
$fn=60;
  
module Raw(){
    difference(){
        cube([L,T1,H1]);
        
        //translate([-1,-1,M])
        //    cube([L+2,M,H]);
        translate([-1,0,2*M])
        hull(){
            sphere(r=M);
            translate([0,0,H-2*M])
                sphere(r=M);
            translate([L+10,0,H-2*M])
                sphere(r=M);
            translate([L+10,0,0])
                sphere(r=M);
            
        }
        for(i=[0:ANZ]){
            translate([M+i*BN+i*M,2*M,-1])
                cube([BN,T+2,H1+2]);
        }
    }
}


Raw();