//vSAN Bottom

WINKEL=100;
B=224;
L=137;
L1=10;
D=3;
D1=3;
M=2.5;
D2=D+2*4;

//griff
SWB=160;
SWT=100;
SWH=25;
SWKante=40;

$fn=60;

module serial_hull()
  {
    // let i be the index of each of our children, but the last one
    for(i=[0:$children-2])
      hull() // we then create a hull between child i and i+1
      {
        children(i); // use child() in older versions of Openscad!
        children(i+1); // this shape is i in the next iteration!
      }
  }

//Note that we can now join any kind of shapes:
  
  
module Raw(){
    difference(){
        union(){
        serial_hull(){
            cylinder(d=D2,2*M);
            translate([B,0,0])
                cylinder(d=D2,2*M);
            translate([0,L,0])
                cylinder(d=D2,2*M);
            translate([B,L,0])
                cylinder(d=D2,2*M);
            cylinder(d=D2,2*M);
        }
        translate([B/2,L/2,0])
            scale([1.5,1,1])
            cylinder(d=20, 2*M);
        translate([B/2+SWB/2,0,0])
            cube([20,L,2*M]);
        translate([B/2-SWB/2-20,0,0])
            cube([20,L,2*M]);
        }
    //diff
            cylinder(d=D1,3*M);
            translate([B,0,0])
                cylinder(d=D1,3*M);
            translate([0,L,0])
                cylinder(d=D1,3*M);
            translate([B,L,0])
                cylinder(d=D1,3*M);
        translate([B/2+SWB/2+10,20,0])
            cylinder(d=D1,3*M);
        translate([B/2-SWB/2-20+10,20,0])
            cylinder(d=D1,3*M);
        translate([B/2+SWB/2+10,L/2,0])
            cylinder(d=D1,3*M);
        translate([B/2-SWB/2-20+10,L/2,0])
            cylinder(d=D1,3*M);

    }
}

module Buegel(){
    difference(){
        union(){
        translate([0,0,25])
            cube([10+10+SWB,25,4]);
        translate([0,25/2,0])
            scale([1,2.5,1])
            cylinder(d=10,SWH+4);
        translate([20+SWB,25/2,0])
            scale([1,2.5,1])
            cylinder(d=10,SWH+4);
        translate([(10+10+SWB)/2-50-4,0,SWH+4])
            cube([100+4+4,25,25+4]);
            
        }
    //diff
        translate([(10+10+SWB)/2-50,-1,SWH+4])
            cube([100,30,25]);
       
        
        translate([0,25/2,-1])
            cylinder(d=4.2,3*M+SWH);
        translate([20+SWB,25/2,-1])
            cylinder(d=4.2,3*M+SWH);
    }
}

//Raw();

difference(){
union(){
    Buegel();
            translate([(10+10+SWB)/2-50-4,25/2,SWH+25+4+2.5])
        rotate([0,90,0])
            scale([1,2.88,1])
            cylinder(d=10,h=100+4+4);
}
translate([-10,25,-10])
cube([200,200,200]);
translate([-10,-25,-10])
cube([200,25,200]);

}